Bug 19307 - t/db_dependent/Circulation/NoIssuesChargeGuarantees.t fails if AllowFineOverride set to allow
Summary: t/db_dependent/Circulation/NoIssuesChargeGuarantees.t fails if AllowFineOverr...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-13 12:06 UTC by Nick Clemens
Modified: 2017-11-23 23:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19307 - Mock the AllowFineOverride preference to ensure expected result (1.27 KB, patch)
2017-09-13 12:09 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19307 - Mock the AllowFineOverride preference to ensure expected result (1.34 KB, patch)
2017-09-15 20:07 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 19307 - Mock the AllowFineOverride preference to ensure expected result (1.33 KB, patch)
2017-09-22 17:44 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 19307: Mock the AllowFineOverride preference to ensure expected result (1.39 KB, patch)
2017-09-27 17:59 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-09-13 12:06:41 UTC
We count on getting an issuing impossible, but if this pref enabled we get a needs confirmation
Comment 1 Nick Clemens 2017-09-13 12:09:08 UTC
Created attachment 67114 [details] [review]
Bug 19307 - Mock the AllowFineOverride preference to ensure expected result

To test:
 1 - Set 'AllowFineOverride' to allow
 2 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 3 - 1 test fails
 4 - Apply patch
 5 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 6 - All tests pass
 7 - Set 'AllowFineOverride' to 'Don't allow'
 8 - Tests should still pass
Comment 2 Caroline Cyr La Rose 2017-09-15 20:07:33 UTC
Created attachment 67163 [details] [review]
Bug 19307 - Mock the AllowFineOverride preference to ensure expected result

To test:
 1 - Set 'AllowFineOverride' to allow
 2 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 3 - 1 test fails
 4 - Apply patch
 5 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 6 - All tests pass
 7 - Set 'AllowFineOverride' to 'Don't allow'
 8 - Tests should still pass

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Caroline Cyr La Rose 2017-09-15 20:12:43 UTC
Oops, sorry. I signed off this one by error while trying to sign off another bug (new to git, linux and koha, does it show? haha!)
Comment 4 David Bourgault 2017-09-22 17:44:20 UTC
Created attachment 67320 [details] [review]
Bug 19307 - Mock the AllowFineOverride preference to ensure expected result

To test:
 1 - Set 'AllowFineOverride' to allow
 2 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 3 - 1 test fails
 4 - Apply patch
 5 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 6 - All tests pass
 7 - Set 'AllowFineOverride' to 'Don't allow'
 8 - Tests should still pass

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 5 Tomás Cohen Arazi 2017-09-27 17:59:36 UTC
Created attachment 67408 [details] [review]
Bug 19307: Mock the AllowFineOverride preference to ensure expected result

To test:
 1 - Set 'AllowFineOverride' to allow
 2 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 3 - 1 test fails
 4 - Apply patch
 5 - prove t/db_dependent/Circulation/NoIssuesChargeGuarantees.t
 6 - All tests pass
 7 - Set 'AllowFineOverride' to 'Don't allow'
 8 - Tests should still pass

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Jonathan Druart 2017-09-29 20:18:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-10-27 12:16:32 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 8 Katrin Fischer 2017-10-29 18:25:38 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.
Comment 9 Mason James 2017-11-23 23:22:36 UTC
Pushed to 16.05.x, for 16.05.19 release